### Method

# Secret Item load_secret_finish

#### Declaration [src]

    gboolean
    secret_item_load_secret_finish (
      SecretItem* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to load the secret value of this item.

The newly loaded secret value can be accessed by calling `secret_item_get_secret()`.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the secret item successfully loaded or not.